#!/bin/bash

FIREFOX_VERSION=$(rpm -q --specfile firefox-esr60-l10n.spec --queryformat "%{version}\n" | sort -u 2> /dev/null )
ESR="esr"
FIREFOX_VERSION_ESR=$FIREFOX_VERSION$ESR
FIREFOX_URL="https://archive.mozilla.org/pub/firefox/releases/$FIREFOX_VERSION_ESR/linux-i686/xpi/"

LANGPACKS="$(curl -s $FIREFOX_URL 2> /dev/null | awk -F">" '/\.xpi/ { print $3 }' | sed 's@<.*@@g' | sort -u)"

rm -rf firefox-esr60-l10n-$FIREFOX_VERSION
mkdir -p firefox-esr60-l10n-$FIREFOX_VERSION

for pack in $LANGPACKS; do
    curl -LJ $FIREFOX_URL$pack -o firefox-esr60-l10n-$FIREFOX_VERSION/$pack
done

tar cavf firefox-esr60-l10n-$FIREFOX_VERSION.tar.xz firefox-esr60-l10n-$FIREFOX_VERSION
rm -rf firefox-esr60-l10n-$FIREFOX_VERSION
